# Class CIM_RedundancyGroup
extends CIM_LogicalElement

A class derived from LogicalElement that is a special collection of ManagedSystemElements. This collection indicates that the aggregated components together provide redundancy. All elements aggregated in a RedundancyGroup should be instantiations of the same object class. The use of this class is being deprecated in lieu of using the RedundancySet class.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ManagedElement
|
+--CIM_ManagedSystemElement
|
+--CIM_LogicalElement
|
+--CIM_RedundancyGroup

## Direct Known Subclasses

CIM_ExtraCapacityGroup
CIM_SpareGroup
CIM_StorageRedundancyGroup

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Deprecated | string | CIM_RedundancySet
Description | string | A class derived from LogicalElement that is a special collection of ManagedSystemElements. This collection indicates that the aggregated components together provide redundancy. All elements aggregated in a RedundancyGroup should be instantiations of the same object class. The use of this class is being deprecated in lieu of using the RedundancySet class.
UMLPackagePath | string | CIM::Core::Redundancy
Version | string | 2.13.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
CreationClassName | string |
Deprecated | string | No value
Description | string | CreationClassName indicates the name of the class or the subclass used in the creation of an instance. When used with the other key properties of this class, this property allows all instances of this class and its subclasses to be uniquely identified.
Key | boolean | true
MaxLen | uint32 | 256
Name | string |
Deprecated | string | CIM_RedundancySet.InstanceID
Description | string | The RedundancyGroup Name serves as the key for the Group's instance in an enterprise environment.
Key | boolean | true
MaxLen | uint32 | 256
Override | string | Name
RedundancyStatus | uint16 |
Deprecated | string | CIM_RedundancySet.RedundancyStatus

Description

string

RedundancyStatus provides information on the state of the RedundancyGroup. "Fully Redundant" (value=2) means that all of the configured redundancy is still available; "Degraded Redundancy" (3) means that some failures have been experienced but some reduced amount of redundancy is still available; "Redundancy Lost" (4) means that a sufficient number of failures have been experienced such that no redundancy is available and the next failure experienced will cause overall failure. Also, the values, "Other" (1) and "Unknown" (0), are defined.

ValueMap | string | 0, 1, 2, 3, 4
Values | string | Unknown, Other, Fully Redundant, Degraded Redundancy, Redundancy Lost

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
Caption | string | CIM_ManagedElement
CommunicationStatus | uint16 | CIM_ManagedSystemElement
Description | string | CIM_ManagedElement
DetailedStatus | uint16 | CIM_ManagedSystemElement
ElementName | string | CIM_ManagedElement
HealthState | uint16 | CIM_ManagedSystemElement
InstallDate | datetime | CIM_ManagedSystemElement
InstanceID | string | CIM_ManagedElement
OperatingStatus | uint16 | CIM_ManagedSystemElement
PrimaryStatus | uint16 | CIM_ManagedSystemElement
Status | string | CIM_ManagedSystemElement
OperationalStatus | uint16[] | CIM_ManagedSystemElement
StatusDescriptions | string[] | CIM_ManagedSystemElement

## Class Methods